PipeWire: introspect.c File Reference

PipeWire 0.3.37

Functions
introspect.c File Reference
Include dependency graph for introspect.c:

## Functions
const char * | pw_node_state_as_string (enum pw_node_state state)
| Convert a pw_node_state to a readable string. More...
const char * | pw_direction_as_string (enum pw_direction direction)
| Convert a pw_direction to a readable string. More...
const char * | pw_link_state_as_string (enum pw_link_state state)
| Convert a pw_link_state to a readable string. More...
struct pw_core_info * | pw_core_info_merge (struct pw_core_info *info, const struct pw_core_info *update, bool reset)
| Update an existing pw_core_info with update. More...
struct pw_core_info * | pw_core_info_update (struct pw_core_info *info, const struct pw_core_info *update)
| Update an existing pw_core_info with update with reset. More...
void | pw_core_info_free (struct pw_core_info *info)
| Free a pw_core_info More...
struct pw_node_info * | pw_node_info_merge (struct pw_node_info *info, const struct pw_node_info *update, bool reset)
struct pw_node_info * | pw_node_info_update (struct pw_node_info *info, const struct pw_node_info *update)
void | pw_node_info_free (struct pw_node_info *info)
struct pw_port_info * | pw_port_info_merge (struct pw_port_info *info, const struct pw_port_info *update, bool reset)
struct pw_port_info * | pw_port_info_update (struct pw_port_info *info, const struct pw_port_info *update)
void | pw_port_info_free (struct pw_port_info *info)
struct pw_factory_info * | pw_factory_info_merge (struct pw_factory_info *info, const struct pw_factory_info *update, bool reset)
struct pw_factory_info * | pw_factory_info_update (struct pw_factory_info *info, const struct pw_factory_info *update)
void | pw_factory_info_free (struct pw_factory_info *info)
struct pw_module_info * | pw_module_info_merge (struct pw_module_info *info, const struct pw_module_info *update, bool reset)
| Merge and existing pw_module_info with update. More...
struct pw_module_info * | pw_module_info_update (struct pw_module_info *info, const struct pw_module_info *update)
| Update and existing pw_module_info with update with reset. More...
void | pw_module_info_free (struct pw_module_info *info)
| Free a pw_module_info. More...
struct pw_device_info * | pw_device_info_merge (struct pw_device_info *info, const struct pw_device_info *update, bool reset)
| Merge and existing pw_device_info with update. More...
struct pw_device_info * | pw_device_info_update (struct pw_device_info *info, const struct pw_device_info *update)
| Update and existing pw_device_info with update and reset. More...
void | pw_device_info_free (struct pw_device_info *info)
| Free a pw_device_info. More...
struct pw_client_info * | pw_client_info_merge (struct pw_client_info *info, const struct pw_client_info *update, bool reset)
| Merge an existing pw_client_info with update. More...
struct pw_client_info * | pw_client_info_update (struct pw_client_info *info, const struct pw_client_info *update)
| Update an existing pw_client_info with update with reset. More...
void | pw_client_info_free (struct pw_client_info *info)
| Free a pw_client_info. More...
struct pw_link_info * | pw_link_info_merge (struct pw_link_info *info, const struct pw_link_info *update, bool reset)
struct pw_link_info * | pw_link_info_update (struct pw_link_info *info, const struct pw_link_info *update)
void | pw_link_info_free (struct pw_link_info *info)

## Function Documentation

## ◆ pw_device_info_free()

void pw_device_info_free | ( | struct pw_device_info * | info | ) |

Free a pw_device_info.

References pw_device_info::props.

## ◆ pw_device_info_merge()

struct pw_device_info * pw_device_info_merge | ( | struct pw_device_info * | info,
|  | const struct pw_device_info * | update,
|  | bool | reset
| ) |  |

Merge and existing pw_device_info with update.

References pw_device_info::change_mask, pw_device_info::id, pw_device_info::props, and PW_DEVICE_CHANGE_MASK_PROPS.

Referenced by pw_device_info_update().

## ◆ pw_device_info_update()

struct pw_device_info * pw_device_info_update | ( | struct pw_device_info * | info,
|  | const struct pw_device_info * | update
| ) |  |

Update and existing pw_device_info with update and reset.

References pw_device_info_merge().

## ◆ pw_factory_info_free()

void pw_factory_info_free | ( | struct pw_factory_info * | info | ) |

References pw_factory_info::name, pw_factory_info::props, and pw_factory_info::type.

## ◆ pw_factory_info_merge()

struct pw_factory_info * pw_factory_info_merge | ( | struct pw_factory_info * | info,
|  | const struct pw_factory_info * | update,
|  | bool | reset
| ) |  |

References pw_factory_info::change_mask, pw_factory_info::id, pw_factory_info::name, pw_factory_info::props, PW_FACTORY_CHANGE_MASK_PROPS, pw_factory_info::type, and pw_factory_info::version.

Referenced by pw_factory_info_update().

## ◆ pw_factory_info_update()

struct pw_factory_info * pw_factory_info_update | ( | struct pw_factory_info * | info,
|  | const struct pw_factory_info * | update
| ) |  |

References pw_factory_info_merge().

## ◆ pw_module_info_free()

void pw_module_info_free | ( | struct pw_module_info * | info | ) |

Free a pw_module_info.

References pw_module_info::args, pw_module_info::filename, pw_module_info::name, and pw_module_info::props.

## ◆ pw_module_info_merge()

struct pw_module_info * pw_module_info_merge | ( | struct pw_module_info * | info,
|  | const struct pw_module_info * | update,
|  | bool | reset
| ) |  |

Merge and existing pw_module_info with update.

References pw_module_info::args, pw_module_info::change_mask, pw_module_info::filename, pw_module_info::id, pw_module_info::name, pw_module_info::props, and PW_MODULE_CHANGE_MASK_PROPS.

Referenced by pw_module_info_update().

## ◆ pw_module_info_update()

struct pw_module_info * pw_module_info_update | ( | struct pw_module_info * | info,
|  | const struct pw_module_info * | update
| ) |  |

Update and existing pw_module_info with update with reset.

References pw_module_info_merge().